require '../lib/queue.rb'

class Consumer
  def test
    @queue = Yajq::Queue.new

    d = {"foo" => "bar"}
    puts "Trying run function: \n> date "
    @queue.add_job("run", "date") do |error, result|
      puts "result => #{result.inspect}\n\n"
    end

    puts "Trying echo function... \n> #{{"data" => d}.inspect}"
    @queue.add_job("echo", {"data" => d}) do |error, result|
      puts "result => #{result.inspect}\n\n"
    end

    puts "Trying bad_call function... \n> "
    @queue.add_job("bad_call", {"data" => d}) do |error, result|
      puts "error => #{error.inspect}\n"
      puts "result => #{result.inspect}\n\n"
    end
  end
end

Consumer.new.test
